## apt-mirror2 14

=== requirements.txt ===
--no-binary caio
-r requirements/prod.txt
-r requirements/prometheus.txt
-r requirements/uvloop.txt

## apt-mirror2 13

=== debian/changelog ===
apt-mirror2 (13-2) unstable; urgency=medium

  * add d/p/0001-tests-fix-tests-on-non-amd64-hosts.patch to fix tests on
    non-amd64 hosts

 -- Yuri Konotopov <ykonotopov@gnome.org>  Sat, 12 Apr 2025 06:50:20 +0000

apt-mirror2 (13-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No change source-only upload.

 -- xiao sheng wen <atzlinux@debian.org>  Sat, 12 Apr 2025 10:47:51 +0800

apt-mirror2 (13-1) unstable; urgency=medium

  * Initial release; Closes: #1080273

 -- Yuri Konotopov <ykonotopov@gnome.org>  Tue, 01 Apr 2025 17:40:33 +0000

=== debian/control ===
Source: apt-mirror2
Section: net
Priority: optional
Maintainer: Yuri Konotopov <ykonotopov@gnome.org>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-exec,
               lsb-release,
               pybuild-plugin-pyproject, python3-setuptools,
               python3-aiofile | python3-aiofiles,
               python3-aioftp,
               python3-aiolimiter,
               python3-all,
               python3-debian,
               python3-h2,
               python3-httpx,
Testsuite: autopkgtest-pkg-pybuild
Standards-Version: 4.7.2
Homepage: https://gitlab.com/apt-mirror2/apt-mirror2
Vcs-Browser: https://gitlab.com/apt-mirror2/debian-packaging
Vcs-Git: https://gitlab.com/apt-mirror2/debian-packaging.git [apt-mirror2]

Package: python3-apt-mirror2
Architecture: all
Section: python
Depends: ${misc:Depends},
         ${python3:Depends},
Recommends:
 python3-h2,
 python3-prometheus-client,
 python3-uvloop,
Description: Python3 bindings for the apt-mirror2
 apt-mirror2 is the Python/asyncio reimplementation of the apt-mirror
 .
 This package provides Python3 bindings for the apt-mirror2.

Package: apt-mirror2
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-apt-mirror2,
         adduser,
Provides: apt-mirror
Description: Python/asyncio reimplementation of the apt-mirror
 One of the main advantages of the apt-mirror2 over the apt-mirror - you
 should never got broken mirror in case apt-mirror2 returns 0 exit code.
 This is ensured by data integrity checks at all stages of mirroring.
 .
 Most of apt-mirror configuration directives are supported.
 As of now proxy for FTP repositories is not supported.
 File lists (ALL, NEW, MD5, SHA256, SHA512) are not written by default,
 but you can enable them with the write_file_lists option.
 In addition there are some enhancements available:
 .
  - Repositories without MD5 hashsums are correctly mirrored
  - Old index files are properly cleaned and don't produces errors in mirror
 processing
  - Standard source.list [ arch=arch1,arch2 ] can be used to specify multiple
 repository architectures for mirroring
  - multiple codenames (or flat folders) can be specified using comma as
 delimiter
  - mirror_path URL PATH option may be used to specify PATH to use for saving
 mirror files instead of path that is generated from URL
  - Additional configuration is loaded from the *.list files in the directory
 named same as configfile with the .d suffix. Eg /etc/apt/mirror.list.d/*.list.
  - Rate limit is enforced for overall download rate
  - Slow download rate protection is enabled by default and can be configured
 via mirror.list
  - Non-zero exit code is returned if some of required files were not downloaded
 due to network or server errors or no repositories were configured
  - HTTP user agent can be configured via user_agent configuration
  - Configuration variables are exposed to postmirror_script
  - by-hash list option can be used to control whether Acquire-By-Hash Release
 option should be respected or enforced
  - mirror wipe protection is available and configurable via wipe_size_ratio and
 wipe_count_ratio settings
  - per-repository log files are available in the var_path folder
  - dists folder is almost atomicaly replaced using move instead of copy/link
  - native Prometheus metrics are supported
 .
 \...and others.

=== debian/rules ===
#!/usr/bin/make -f

DIST ?= $(shell lsb_release -si | tr '[:upper:]' '[:lower:]')
CODENAME ?= $(shell lsb_release -sc)

%:
	dh $@ --with python3 --buildsystem=pybuild

execute_after_dh_install:
	sed -i -E \
		-e \
		"s#/var/spool/apt-mirror#/var/spool/apt-mirror2#g" \
		debian/apt-mirror2/etc/apt/mirror2.list

	if test -f debian/$(DIST)-mirror.list; then \
		sed "s#@CODENAME@#$(CODENAME)#" debian/$(DIST)-mirror.list >> debian/apt-mirror2/etc/apt/mirror2.list ;\
	fi

override_dh_installsystemd:
	dh_installsystemd --no-enable --no-start

## apt-mirror2 14

=== debian/changelog ===
apt-mirror2 (14-1) unstable; urgency=medium

  [ Yuri Konotopov ]
  * Added python3-pytest to Build-Depends to match upstream
  * New upstream version 14:
      - removed applied upstream
        d/p/0001-tests-fix-tests-on-non-amd64-hosts.patch
      - added gpgpv build dependency to pass tests
      - New option `append_logs` is now available.
        Closes: #1107259
      - added d/p/fix-signature-verification.patch that fixes
        signature verification using .gpg files
  - Make apt-mirror2 depend on exact python3-apt-mirror2 version

  [ Evgeniy Rogov ]
  * Fix sed substitution in debian/rules

 -- Yuri Konotopov <ykonotopov@gnome.org>  Thu, 14 Aug 2025 20:07:56 +0000

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-exec,
+               gpgv,
                lsb-release,
                pybuild-plugin-pyproject, python3-setuptools,
                python3-aiofile | python3-aiofiles,
@@ -14,6 +15,7 @@
                python3-debian,
                python3-h2,
                python3-httpx,
+               python3-pytest,
 Testsuite: autopkgtest-pkg-pybuild
 Standards-Version: 4.7.2
 Homepage: https://gitlab.com/apt-mirror2/apt-mirror2
@@ -38,7 +40,7 @@
 Architecture: all
 Depends: ${misc:Depends},
          ${python3:Depends},
-         python3-apt-mirror2,
+         python3-apt-mirror2 (= ${binary:Version}),
          adduser,
 Provides: apt-mirror
 Description: Python/asyncio reimplementation of the apt-mirror

=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 		debian/apt-mirror2/etc/apt/mirror2.list
 
 	if test -f debian/$(DIST)-mirror.list; then \
-		sed "s#@CODENAME@#$(CODENAME)#" debian/$(DIST)-mirror.list >> debian/apt-mirror2/etc/apt/mirror2.list ;\
+		sed "s#@CODENAME@#$(CODENAME)#g" debian/$(DIST)-mirror.list >> debian/apt-mirror2/etc/apt/mirror2.list ;\
 	fi
 
 override_dh_installsystemd:

=== debian/watch ===
version=4

opts="searchmode=plain" \
 https://gitlab.com/apt-mirror2/@PACKAGE@/tags?sort=updated_desc -/archive/v?\d[\d.]*/@PACKAGE@-(?:[-_]?[Vv]?(\d[\-+\.:\~\da-zA-Z]*))@ARCHIVE_EXT@

## apt-mirror2 15

=== debian/changelog ===
apt-mirror2 (15-1) unstable; urgency=medium

  * New upstream version 15:
      - remove applied upstream d/p/fix-signature-verification.patch

 -- Yuri Konotopov <ykonotopov@gnome.org>  Tue, 06 Jan 2026 12:48:13 +0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                python3-httpx,
                python3-pytest,
 Testsuite: autopkgtest-pkg-pybuild
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://gitlab.com/apt-mirror2/apt-mirror2
 Vcs-Browser: https://gitlab.com/apt-mirror2/debian-packaging
 Vcs-Git: https://gitlab.com/apt-mirror2/debian-packaging.git [apt-mirror2]
